Subject: Re: bug#8395: ASLR Issue?

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Tue, 12 Jul 2011 08:22:46 +0900

>>>>> On Mon, 11 Jul 2011 07:11:59 -0700, Bob Halley <[email-masked]> said:

> I downloaded the Emacs 23.3 tarball, and added the __got fix to
> unexmacosx.c.

> I then built and verified that without your patch the build fails.

> I then applied your patch to src/s/darwin.h.

> I did 3 builds starting from a "make distclean" state: a tty-only
> build, an X11 build, and a cocoa build.  I verified with otool that
> the PIE attribute was not present on any of the emacs executables.

> The build worked fine both as a tty-only build and as an X11 build.
> The cocoa build runs, but the window it makes has no title bar and
> is badly positioned (the top line or so is cut off by the menu bar).

Thanks for the detailed report.  I've just committed the patch to
trunk and the emacs-23 branch.

				     YAMAMOTO Mitsuharu
				[email-masked]